var fs = require("fs");

var subPages = [
    "index",
    "projects",
    "social",
    "about",
    "blog"
];

if (process.argv[2] == "delete") {
    for (var s of subPages) {
        var path = s + ".html";
        if (fs.existsSync(path)) {
            console.log("Deleting " + path);
            fs.unlinkSync(path);
        }
    }
} else {
    var main = fs.readFileSync("templates/main.html").toString();
    for (var s of subPages) {
        var path = s + ".html";
        var content = main;

        var template = fs.readFileSync("templates/" + path).toString();
        content = content.replace("INSERT CONTENT", template);

        var titleIndex = template.indexOf("TITLE") + 5;
        var title = template.substring(titleIndex, template.indexOf("-->", titleIndex));
        content = content.split("INSERT TITLE").join(title);

        var descIndex = template.indexOf("DESCRIPTION") + 11;
        var desc = template.substring(descIndex, template.indexOf("-->", descIndex))
        content = content.split("INSERT DESCRIPTION").join(desc);

        console.log("Creating " + path);
        fs.writeFileSync(path, content);
    }
}